---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "16"
  version: 8050020220217121916
  context: 9edba152
  arch: ppc64le
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bootstrap 1
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: 20332c23986f68e142a41357a4197258a7e4eb03
        buildorder: 100
        arches: [ppc64le]
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: 6d617b2fef3faaeee3b27c993543910b73a68204
        buildorder: 200
        arches: [ppc64le]
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: 424ca121a0f7ac32c8e0222498675d1762446880
        buildorder: 10
        arches: [ppc64le]
...
---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "14"
  version: 8050020220217121912
  context: 9edba152
  arch: ppc64le
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bootstrap 1
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: c7ed62fc2e20f68fd29092f20f3dbd64901239b3
        buildorder: 100
        arches: [ppc64le]
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: 96be51228e63dd82cd4310bc9eb81ee026e0ee18
        buildorder: 200
        arches: [ppc64le]
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: 74e3b1a602aa4a1d7107586eeb2cb5993d1326e3
        buildorder: 10
        arches: [ppc64le]
  artifacts:
    rpms:
    - nodejs-packaging-0:23-3.module_el8.5.0+237+21ee939d.noarch
    - nodejs-packaging-0:23-3.module_el8.5.0+237+21ee939d.src
...
---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "16"
  version: 8050020220217121916
  context: 9edba152
  arch: ppc64le
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bootstrap 1
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: 20332c23986f68e142a41357a4197258a7e4eb03
        buildorder: 100
        arches: [ppc64le]
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: 6d617b2fef3faaeee3b27c993543910b73a68204
        buildorder: 200
        arches: [ppc64le]
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: 424ca121a0f7ac32c8e0222498675d1762446880
        buildorder: 10
        arches: [ppc64le]
  artifacts:
    rpms:
    - nodejs-packaging-0:23-3.module_el8.5.0+237+21ee939d.noarch
    - nodejs-packaging-0:23-3.module_el8.5.0+237+21ee939d.src
...
